<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/ont.php';

$database = new Database();
$db = $database->getConnection();
 
$ont = new ONT($db);
$data = json_decode(file_get_contents("php://input"));

$ont->id_no = $data->id_no;
$ont->onu_sn = $data->onu_sn;
$ont->port = $data->port;
$ont->ont_id = $data->ont_id;


if($data->id_no){

	if($ont->updatePOrt()){
		$msg_arr = array(
			"message" => "updated"
		);
	}else{
		$msg_arr = array(
			"message" => "error"
		);
	}
}
echo json_encode($msg_arr);
?>	